/*
 *
 * Defines default styles specific to Sphinx Press,
 * on top of VuePress styles
 *
 */

 /* FONTS FOR THE CODE - will fall back to monospace if unavailable */

 @import url("/?originalUrl=https%3A%2F%2Ffonts.googleapis.com%2Fcss%3Ffamily%3DInconsolata%7CRoboto%26display%3Dswap");

 /* MAKES MAIN TEXT SECTION LARGER */
 .content:not(.custom) {
     max-width: 840px;
 }
 
 /* THE SECTION BELOW DEFINES THE APPEARANCE OF AUTODOC-GENERATED DOCS */
 
 .sig-name, .sig-prename {
     font-weight: bold;
     font-size: 1.2em;
 }
 
 .sig-param {
     margin-left: 0.3em;
 }
 
 .sig-paren {
     margin-left: 0.3em;
 }
 
 dt {
     font-family: 'Roboto', 'Inconsolata', monospace;
     line-height: 1.5em;
     margin-bottom: 1em;
 }
 
 dt.field-odd, dt.field-even, p.rubric {
     font-size: 1.2em;
     font-weight: bold;
     color: #4d6a86
 }
 
 dd {
     margin-inline-start: 10px;
 }
 
 dd.field-odd p strong {
   margin-left: 1em;
 }
 
 dl.method, dl.function {
     margin-top: 2em;
     margin-bottom: 3em;
 }
 
 .viewcode-link {
     visibility: hidden;
     float: right;
 }
 
 .viewcode-link:hover {
     text-decoration: underline;
 }
 
 .viewcode-back {
     position: absolute;
     left: 0;
 }
 
 .highlight>pre>div.viewcode-block {
     position: relative;
     padding-left: 50px;
 }
 
 /* THE SECTION BELOW DEFINES THE APPEARANCE OF TABLE-OF-CONTENTS */
 
 /* color fixes for table of contents */
 .toc-backref {
     /* TOCS cause all your section titles to go green. Pouah! */
     color: inherit;
 }
 
 .contents.topic p.topic-title {
     /* Hide all TOC titles */
     display: none;
 }
 
 .contents.topic {
     margin-bottom: 3em;
 }
 
 
 /* THE SECTION BELOW CHANGES CODE FONTS FOR BETTER 80-CHARS READABILITY */
 /* Code will be displayed as Roboto, or Inconsolata if screen is small */
 code, pre {
     font-family: 'RobotoMonoRegular', 'Roboto Mono', 'Inconsolata', monospace;
 }
 
 @media (max-width: 1200px) {
     code, pre {
         font-family: 'InconsolataRegular', 'Inconsolata', 'RobotoMonoRegular', 'Roboto Mono', monospace;
     }
     pre {
         font-size: 0.95em;
     }
 }
 
 blockquote {
     font-size: inherit;
 }
 
 blockquote h2 {
     margin-left: 1em;
 }
 
 /* THE SECTION BELOW FIXES A SPHINX-MERMAID OPACITY PROBLEM */
 .content .section {
     opacity: 1.0 !important;
 }
 .section {
     opacity: 1.0 !important;
 }
 
 /* MAKES SPHINX SYNTAX figure:: :align:center WORK AGAIN */
 .figure.align-center {
     text-align: center
 }


 .admonition.important, .admonition.note {
	background-color: #f4e5fb;
	border-color: #b85fea;
}

.sidebar .toctree-l1 a.current {
	border-left-color:#7800af;
}

.sidebar .toctree-l1 a.current, .sidebar .toctree-l2 a.current {
    /* color: #8100af; */
    color:#7800af;

}
.sidebar .toctree-l1.current a {
	border-left: .5rem solid #ad36ff;;
}
a, p a code {
	color: #7000af;
}
input[type="submit"] {
	background-color: #8900af;
}

.page-edit, .page-nav {
	max-width: 840px;
}